# Uses of Interface
org.eclipse.emf.cdo.security.ExpressionFilter

Packages that use ExpressionFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of ExpressionFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return ExpressionFilter
Modifier and Type
Method
Description
`ExpressionFilter`
SecurityFactory.`createExpressionFilter()`
Returns a new object of class 'Expression Filter'.
`ExpressionFilter`
SecurityFactory.`createExpressionFilter(Expression expression)`

## Uses of ExpressionFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement ExpressionFilter
Modifier and Type
Class
Description
`class`
`ExpressionFilterImpl`
An implementation of the model object 'Expression Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return ExpressionFilter
Modifier and Type
Method
Description
`ExpressionFilter`
SecurityFactoryImpl.`createExpressionFilter()`
`ExpressionFilter`
SecurityFactoryImpl.`createExpressionFilter(Expression expression)`

## Uses of ExpressionFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type ExpressionFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseExpressionFilter(ExpressionFilter object)`
Returns the result of interpreting the object as an instance of 'Expression Filter'.
`boolean`
SecurityValidator.`validateExpressionFilter(ExpressionFilter expressionFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`